Org Management - All Apps Org

In VCF Automation 9, an Organization for All Apps is designed to deploy and manage multiple workload types—including VMs, Kubernetes (VKS), container services, and Pods—using the unified vSphere Supervisor API.

Obtaining a VCF Automation Access Token for All Apps Tenant User

To interact with the VCF Automation REST APIs, you must obtain an access token, which is generated using your API (Refresh) Token.

Request

POST https://{{vcfaHostname}}/tm/oauth/tenant/{{vcfaTenant}}/token

Headers:

Content-Type: application/x-www-form-urlencoded
Accept: application/json

Body parameters (Payload):

grant_type=refresh_token&refresh_token={{vcfaAPIToken}}

Response (200 OK)

A successful request returns a JSON containing the bearer access token:

{
  "access_token": "eyJhbGciOi...",
  "token_type": "Bearer",
  "expires_in": 3600
}